Ticket #28 (closed enhancement: fixed)

Opened 5 years ago

Last modified 5 years ago

Add a bind type for outgoing messages

Reported by: Efim Shuvikov Owned by:
Priority: major Milestone: 1.6.20
Component: Module: server.mod Version: 1.6.20
Keywords: Cc:

Description

Very very needful option to save own phrases to log.
Because putloglev does, but writes to log early than call command.

Comment #1 From Jeff Fisher 2001-05-12 10:05:37

What? Please provide more clear information.

Comment #2 From Efim Shuvikov 2002-02-07 02:54:28

When bot write logs - (if "p" flag) it writes ALL public (channel) phrases to
log. But DOESN'T log yourserf. I think about option like flag "+y" or
something like this. Otherwise while reading logs, don't see bot's phrases (if
bot answered anything).

Comment #3 From stdarg@… 2002-02-07 15:52:48

I think it's a good idea, along with the "bind out" suggestion in the 1.7
bugzilla. The two things would go in pretty much the same place.
Comment #4 From Jeff Fisher 2002-10-08 16:07:35

stdarg has mentioned this several times for 1.7 -- I'm closing it for now.

Comment #5 From Tothwolf 2008-06-20 15:19:53

I'm reopening this bug. It has come up a number of times (that I've been
witness to) since this was closed and I've had this in my 1.6.x TO-DO file for
years.

The bot really should log it's own PRIVMSG etc in it's channel logs. This could
be very important if someone wants to log the bot's own interaction with people
on the channel. In this case, the bot really needs to be able to log it's own
text in context with the channel text.

I think the proper fix would probably be to just send the relevant server
output to the logging routines.

Was this already done in 1.9 (formerly 1.7) and can be be back-ported?

Comment #6 From Rumen Stoyanov 2009-10-10 03:56:47

Self-logging is a nontrivial task, and the best solution depends on the usage
scenario and user preferences. Therefore, we leave the implementation to Tcl
scripters. I committed a patch which introduces the new bind "OUT", providing
access to all server output, for the purpose of logging or message dropping.
Details are in the documentation.

Change History

comment:1 Changed 5 years ago by pseudo

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.